/*
 * $Id$
 */

package org.apache.maven.continuum.model.project;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import java.util.*;
import org.apache.maven.continuum.model.scm.ChangeFile;
import org.apache.maven.continuum.model.scm.ChangeSet;
import org.apache.maven.continuum.model.scm.ScmResult;
import org.apache.maven.continuum.model.system.ContinuumUser;
import org.apache.maven.continuum.model.system.Installation;
import org.apache.maven.continuum.model.system.NotificationAddress;
import org.apache.maven.continuum.model.system.Permission;
import org.apache.maven.continuum.model.system.SystemConfiguration;
import org.apache.maven.continuum.model.system.UserGroup;

/**
 * Class ProjectDeveloper.
 * 
 * @version $Revision$ $Date$
 */
public class ProjectDeveloper implements java.io.Serializable {


      //--------------------------/
     //- Class/Member Variables -/
    //--------------------------/

    /**
     * Field scmId
     */
    private String scmId;

    /**
     * Field name
     */
    private String name;

    /**
     * Field email
     */
    private String email;

    /**
     * Field continuumId
     */
    private int continuumId = 0;


      //-----------/
     //- Methods -/
    //-----------/

    /**
     * Method getContinuumId
     */
    public int getContinuumId()
    {
        return this.continuumId;
    } //-- int getContinuumId() 

    /**
     * Method getEmail
     */
    public String getEmail()
    {
        return this.email;
    } //-- String getEmail() 

    /**
     * Method getName
     */
    public String getName()
    {
        return this.name;
    } //-- String getName() 

    /**
     * Method getScmId
     */
    public String getScmId()
    {
        return this.scmId;
    } //-- String getScmId() 

    /**
     * Method setContinuumId
     * 
     * @param continuumId
     */
    public void setContinuumId(int continuumId)
    {
        this.continuumId = continuumId;
    } //-- void setContinuumId(int) 

    /**
     * Method setEmail
     * 
     * @param email
     */
    public void setEmail(String email)
    {
        this.email = email;
    } //-- void setEmail(String) 

    /**
     * Method setName
     * 
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    } //-- void setName(String) 

    /**
     * Method setScmId
     * 
     * @param scmId
     */
    public void setScmId(String scmId)
    {
        this.scmId = scmId;
    } //-- void setScmId(String) 

}
